YeeAuth 文档
个人中心管理

获取登录日志

GET
/api/v1/users/get-my-login-history

获取登录日志

Authorization

x-userpool-id<token>

IAM Userpool Id

In: header

Query Parameters

pageNo?integer
pageSize?integer

Response Body

*/*

*/*

*/*

*/*

*/*

curl -X GET "https://example.com/api/v1/users/get-my-login-history"
{  "code": 0,  "success": true,  "msg": "string",  "data": {    "pageNumber": 0,    "pageSize": 0,    "totalPages": 0,    "totalElements": 0,    "list": [      {        "id": "string",        "eventType": "string",        "eventDetail": "string",        "userpoolId": "string",        "appName": "string",        "username": "string",        "userId": "string",        "operationType": "string",        "operationParam": "string",        "resource": "string",        "ip": "string",        "userAgent": "string",        "geoip": {          "ip": "string",          "countryCode": "string",          "countryName": "string",          "provinceName": "string",          "cityName": "string",          "point": {            "lat": 0.1,            "lon": 0.1          }        },        "ua": {          "name": "string",          "os": "string",          "device": "string"        },        "role": "string",        "status": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "location": "string",        "browser": "string",        "platform": "string"      }    ]  }}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}